Debian Bug report logs - #481973
ITP: libiptables-parse-perl -- Perl extension for parsing iptables firewall rulesets

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Franck Joncourt <franck.joncourt@wanadoo.fr>

Date: Mon, 19 May 2008 20:39:11 UTC

Owned by: Franck Joncourt <franck.joncourt@wanadoo.fr>

Severity: wishlist

Fixed in version libiptables-parse-perl/0.6-1

Done: Franck Joncourt <franck.mail@dthconnex.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#481973; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Franck Joncourt <franck.joncourt@wanadoo.fr>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Franck Joncourt <franck.joncourt@wanadoo.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libiptables-parse-perl -- Perl extension for parsing iptables firewall rulesets
Date: Mon, 19 May 2008 22:38:16 +0200
Package: wnpp
Severity: wishlist
Owner: Franck Joncourt <franck.joncourt@wanadoo.fr>


* Package name    : libiptables-parse-perl
  Version         : 0.5 
  Upstream Author : Michael Rash <mbr@cipherdyne.org>
* URL             : http://www.cipherdyne.org/modules/
* License         : GPL, Artistic
  Programming Lang: Perl
  Description     : Perl extension for parsing iptables firewall rulesets

The "IPTables::Parse" package provides an interface to parse iptables
rules on Linux systems through the direct execution of iptables
commands, or from a file.

You can get the current policy applied to a table/chain, look for a specific
user-defined chain, check for a default DROP policy, or know whether or not
logging rules exist.





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Franck Joncourt <franck.joncourt@wanadoo.fr>:
Bug#481973; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Franck Joncourt <franck.joncourt@wanadoo.fr>. Full text and rfc822 format available.

Message #10 received at 481973@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Franck Joncourt <franck.joncourt@wanadoo.fr>, 481973@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#481973: ITP: libiptables-parse-perl -- Perl extension for parsing iptables firewall rulesets
Date: Tue, 20 May 2008 00:03:20 +0200
[Message part 1 (text/plain, inline)]
On Mon, 19 May 2008 22:38:16 +0200, Franck Joncourt wrote:

> * Package name    : libiptables-parse-perl
 
> The "IPTables::Parse" package provides an interface to parse iptables
> rules on Linux systems through the direct execution of iptables
> commands, or from a file.

The package psad contains a file /usr/lib/perl5/IPTables/Parse.pm.

(http://www.cipherdyne.org/modules/ also mentions ".. provides ..
modules used by the psad, ...")

This potential clash should be sorted out before an upload.

Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ | gpg key ID: 0x00F3CFE4
 : :' :  debian gnu/linux user, admin & developer - http://www.debian.org/
 `. `'   member of https://www.vibe.at/ | how to reply: http://got.to/quote/
   `-    NP: Brook Benton: Thank You Pretty Baby
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Franck Joncourt <franck.joncourt@wanadoo.fr>:
Bug#481973; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Franck JONCOURT <franck.joncourt@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Franck Joncourt <franck.joncourt@wanadoo.fr>. Full text and rfc822 format available.

Message #15 received at 481973@bugs.debian.org (full text, mbox):

From: Franck JONCOURT <franck.joncourt@wanadoo.fr>
To: debian-devel@lists.debian.org, 481973@bugs.debian.org
Subject: Bug#481973: ITP: libiptables-parse-perl -- Perl extension for parsing iptables firewall rulesets
Date: Tue, 20 May 2008 00:34:48 +0200 (CEST)
Hi,

> The package psad contains a file /usr/lib/perl5/IPTables/Parse.pm.
>
> (http://www.cipherdyne.org/modules/ also mentions ".. provides ..
> modules used by the psad, ...")
>
> This potential clash should be sorted out before an upload.

As a matter of fact, all packages from cipherdyne are being packaged
to avoid conflicts between psad, fwsnort and fwknop.

Talking with Daniel Gubser (psad maintainer), and Michael Rash 
(upstream author), we decided the best way to integrate the three main
packages, was to create : 

- libiptables-parse-perl
- libiptables-chainmgr-perl

So, right now, in my repository, I have :

- a rebuilt psad with new dependencies,
- fwsnort,
- libiptables-parse-perl (IPTables::Parse),
- libiptables-chainmgr-perl (IPTables::ChainMgr),
- fwknop under development.

Daniel is fairly busy, but I am working with M. Rash to get something 
nice until he has the time to take a look.

---
Franck Joncourt.






Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Franck Joncourt <franck.joncourt@wanadoo.fr>:
Bug#481973; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Franck Joncourt <franck.joncourt@wanadoo.fr>. Full text and rfc822 format available.

Message #20 received at 481973@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Franck JONCOURT <franck.joncourt@wanadoo.fr>, 481973@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#481973: ITP: libiptables-parse-perl -- Perl extension for parsing iptables firewall rulesets
Date: Tue, 20 May 2008 08:16:49 +0200
On Tue, 20 May 2008 00:34:48 +0200, Franck JONCOURT wrote:

> > The package psad contains a file /usr/lib/perl5/IPTables/Parse.pm.
> As a matter of fact, all packages from cipherdyne are being packaged
> to avoid conflicts between psad, fwsnort and fwknop.

Sounds good, thanks for the clarification!
 
BTW: Just in case you don't know, there's the Debian Perl Group that
could help with the two lib*-perl packages:
http://wiki.debian.org/Teams/DebianPerlGroup

Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ | gpg key ID: 0x00F3CFE4
 : :' :  debian gnu/linux user, admin & developer - http://www.debian.org/
 `. `'   member of https://www.vibe.at/ | how to reply: http://got.to/quote/
   `-    You're dead, Jim.  -- McCoy, "Amok Time", stardate 3372.7 




Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 12 Jun 2008 10:51:10 GMT) Full text and rfc822 format available.

Reply sent to Franck Joncourt <franck.mail@dthconnex.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Franck Joncourt <franck.joncourt@wanadoo.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 481973-close@bugs.debian.org (full text, mbox):

From: Franck Joncourt <franck.mail@dthconnex.com>
To: 481973-close@bugs.debian.org
Subject: Bug#481973: fixed in libiptables-parse-perl 0.6-1
Date: Sun, 15 Jun 2008 15:05:47 +0000
Source: libiptables-parse-perl
Source-Version: 0.6-1

We believe that the bug you reported is fixed in the latest version of
libiptables-parse-perl, which is due to be installed in the Debian FTP archive:

libiptables-parse-perl_0.6-1.diff.gz
  to pool/main/libi/libiptables-parse-perl/libiptables-parse-perl_0.6-1.diff.gz
libiptables-parse-perl_0.6-1.dsc
  to pool/main/libi/libiptables-parse-perl/libiptables-parse-perl_0.6-1.dsc
libiptables-parse-perl_0.6-1_all.deb
  to pool/main/libi/libiptables-parse-perl/libiptables-parse-perl_0.6-1_all.deb
libiptables-parse-perl_0.6.orig.tar.gz
  to pool/main/libi/libiptables-parse-perl/libiptables-parse-perl_0.6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 481973@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Franck Joncourt <franck.mail@dthconnex.com> (supplier of updated libiptables-parse-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 20 May 2008 22:45:32 +0200
Source: libiptables-parse-perl
Binary: libiptables-parse-perl
Architecture: source all
Version: 0.6-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Franck Joncourt <franck.mail@dthconnex.com>
Description: 
 libiptables-parse-perl - Perl extension for parsing iptables firewall rulesets
Closes: 481973
Changes: 
 libiptables-parse-perl (0.6-1) unstable; urgency=low
 .
   * Initial release (Closes: #481973)
Checksums-Sha1: 
 5da67b5fbec992b4d2d1d6ef80298496c1146dc6 1361 libiptables-parse-perl_0.6-1.dsc
 b20352b35d728f3b04eab4a90a670be5d04c66da 6918 libiptables-parse-perl_0.6.orig.tar.gz
 f6e85fb66169ef5df66012549fbca3c8fb07fbc3 1934 libiptables-parse-perl_0.6-1.diff.gz
 d06ebc357bbdbf68f72f26d64116ee78fad36174 11878 libiptables-parse-perl_0.6-1_all.deb
Checksums-Sha256: 
 41c48f552f172f6299d976e0dcbcd0d1927f2185a0930b85e34922b3b3917078 1361 libiptables-parse-perl_0.6-1.dsc
 2183ea11d2716caa15a2f727746b99419bd3ebb18f56d3e9490379074ec7255b 6918 libiptables-parse-perl_0.6.orig.tar.gz
 8c6f588991ab124ecc5a8d07c975ca755bd73569dbc558e1182a07f09bbdf7fa 1934 libiptables-parse-perl_0.6-1.diff.gz
 3550bc9c7de08bd926753bda4b08204bb272e87ac7120f4914c6cf2b47832134 11878 libiptables-parse-perl_0.6-1_all.deb
Files: 
 f2c8ed582ce2d2377328fe39c755dff5 1361 perl optional libiptables-parse-perl_0.6-1.dsc
 9ac9fab59053fb42b43eb36f7554da7c 6918 perl optional libiptables-parse-perl_0.6.orig.tar.gz
 d1e955ebf538a984d21c4638cf8323f4 1934 perl optional libiptables-parse-perl_0.6-1.diff.gz
 582116eac003961ae4a453d6bbf4c77d 11878 perl optional libiptables-parse-perl_0.6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkhOwscACgkQOzKYnQDzz+SWcgCg2lIhOeT9i07F9KZwBO6u8vSv
WqUAn2mUMJKx0gjpoPQe38nbIyYJ7rUf
=YSJj
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Aug 2008 09:47:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:11:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.